For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
User GuideDeveloper GuidesAPI Reference
User GuideDeveloper GuidesAPI Reference
    • Overview
  • Runtype API
      • GETList secrets (metadata only)
      • POSTCreate a secret
      • POSTCheck which secret keys exist, are missing, or revoked
      • POSTGet intake manifest for secret configuration
      • POSTSubmit secret values from intake screen
      • POSTGenerate dashboard URL for configuring missing secrets
      • GETGet secret metadata
      • PUTUpdate or rotate a secret
      • DELDelete a secret
Dashboard
LogoLogo
Runtype APISecrets

Create a secret

POST
/v1/secrets
POST
/v1/secrets
$curl -X POST https://api.runtype.com/v1/secrets \
> -H "Authorization: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "key": "DATABASE_PASSWORD"
>}'
1{
2 "data": {
3 "createdAt": "2024-06-01T12:00:00Z",
4 "description": "Primary database password for production environment",
5 "id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
6 "key": "DATABASE_PASSWORD",
7 "lastRotatedAt": "2024-05-01T12:00:00Z",
8 "phantomToken": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9",
9 "status": "active",
10 "updatedAt": "2024-06-01T12:00:00Z",
11 "valuePreview": "************",
12 "version": 3
13 }
14}
Was this page helpful?
Previous

Check which secret keys exist, are missing, or revoked

Next
Built with

Authentication

AuthorizationBearer
API key or Clerk session token

Request

This endpoint expects an object.
keystringRequired2-100 characters
descriptionstringOptional<=500 characters
valuestringOptional8-10000 characters

Response

Secret created
dataobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
409
Conflict Error
500
Internal Server Error